Reply

Firmware update error

Jaspersd
Aspirant

Firmware update error

I am trying to update my firmware and I keep getting an error stating that it is unable to download the language file. I've tried downloading the firmware update directly, but the version on your website is a lot older than what's already installed on my router. What can I do to update my firmware?

Model: R6400|AC1750 Smart WiFi Router
Message 1 of 7
plemans
Guru

Re: Firmware update error

There's 2 versions of the R6400. Which version do  you have? 

Which version are you on? 

Current setup: CAX80->Trendnet TEG-S380->GS716T-> RBK752->pi-hole
1.4gig download/50mbps upload
We’re members of the public helping out on our own time.
Message 2 of 7
labatt
Mentor

Re: Firmware update error

Hopefully you are not using an app to do the update. Good way to brick router especially when you are having problems. Manual update where you Ethernet connect to router is safer. Described how to when you download the firmware or in the user manual from the same site. Go to this site and put in your router model. Will be taken to location where firmware is and also user manual. Not sure why Netgear makes this hard to find. 

https://www.netgear.com/support/download/default.aspx

Modem CM2050V
Message 3 of 7
Jaspersd
Aspirant

Re: Firmware update error

I have the R6400v2
Message 4 of 7
plemans
Guru

Re: Firmware update error

and which version are you currently on? 

Are you selecting v2 from the drop down when you go to your support site? 

https://www.netgear.com/support/product/R6400v2.aspx

Current setup: CAX80->Trendnet TEG-S380->GS716T-> RBK752->pi-hole
1.4gig download/50mbps upload
We’re members of the public helping out on our own time.
Message 5 of 7
Jaspersd
Aspirant

Re: Firmware update error

Ok, I followed the link you provided and, again, the firmware version that is there is older than the one I already have installed in my router. How do I find the most current version? The one on the link is 1.0.4.84, I have 1.0.6. something.
Message 6 of 7
plemans
Guru

Re: Firmware update error

Occassionally the backend server gets updates before they're loaded to the website. Usually you don't see it go from 1.0.4.* to 1.0.6*. If you're on something newer, then you're on the most recent firmware. (if you truly are on the R6400v2 with that version firmware)

Current setup: CAX80->Trendnet TEG-S380->GS716T-> RBK752->pi-hole
1.4gig download/50mbps upload
We’re members of the public helping out on our own time.
Message 7 of 7
Top Contributors
Discussion stats
  • 6 replies
  • 1421 views
  • 0 kudos
  • 3 in conversation
Announcements

Orbi WiFi 6E